Skip to main content

Generate Azure token

Generates an Azure token by using service principal credentials. Use this token for authentication in requests that require authorization headers.

HTTP method and endpoint

POST /azure/generate-token

Token usage

Both a NetApp Console user token and service token. The service token needs to include the following scopes: credentials:internal. Pass the user token or service token in the Authorization request header.

Parameters

Name Type In Required Description

x-simulator

string

header

False

Request Body

Name Type Required Description

tenantId

string

True

clientId

string

True

clientSecret

string

True

Example request
{
  "tenantId": "string",
  "clientId": "string",
  "clientSecret": "string"
}

Response

Status: 200, Successful fetched generated token
Name Type Required Description

token

string

True

Example response
{
  "token": "string"
}